-- VHDL model created from iowait.sch - Tue Nov 16 21:05:20 2004


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity iowait is
   port ( nwait_i   : in    std_logic; 
          user_wait : in    std_logic; 
          xwait_o   : out   std_logic);
end iowait;

architecture BEHAVIORAL of iowait is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_1    : std_logic;
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : INV
      port map (I=>nwait_i, O=>XLXN_1);
   
   XLXI_2 : OR2
      port map (I0=>user_wait, I1=>XLXN_1, O=>xwait_o);
   
end BEHAVIORAL;


