-- VHDL model created from schematic.sch - Tue Nov 16 21:06:58 2004


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity schematic is
   port ( nwait_i : in    std_logic; 
          xwait_o : out   std_logic);
end schematic;

architecture BEHAVIORAL of schematic is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_7  : std_logic;
   component iowait
      port ( nwait_i   : in    std_logic; 
             user_wait : in    std_logic; 
             xwait_o   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : iowait
      port map (nwait_i=>nwait_i, user_wait=>XLXN_7, xwait_o=>xwait_o);
   
   XLXI_2 : GND
      port map (G=>XLXN_7);
   
end BEHAVIORAL;


