VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL nwait_i
        SIGNAL xwait_o
        SIGNAL user_wait
        PORT Input nwait_i
        PORT Output xwait_o
        PORT Input user_wait
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 or2
            PIN I0 user_wait
            PIN I1 XLXN_1
            PIN O xwait_o
        END BLOCK
        BEGIN BLOCK XLXI_1 inv
            PIN I nwait_i
            PIN O XLXN_1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_2 704 336 R0
        BEGIN BRANCH XLXN_1
            WIRE 592 208 704 208
        END BRANCH
        BEGIN BRANCH nwait_i
            WIRE 304 208 352 208
            WIRE 352 208 368 208
        END BRANCH
        BEGIN BRANCH xwait_o
            WIRE 960 240 1104 240
        END BRANCH
        BEGIN BRANCH user_wait
            WIRE 304 320 688 320
            WIRE 688 272 704 272
            WIRE 688 272 688 320
        END BRANCH
        INSTANCE XLXI_1 368 240 R0
        IOMARKER 1104 240 xwait_o R0 28
        IOMARKER 304 320 user_wait R180 28
        IOMARKER 304 208 nwait_i R180 28
    END SHEET
END SCHEMATIC
